GetAllResourceProfilesResponsePBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: GetAllResourceProfilesResponsePBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class GetAllResourceProfilesResponsePBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceProfilesResponse
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.GetAllResourceProfilesResponsePBImpl

@Private @Unstable public class GetAllResourceProfilesResponsePBImpl extends org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceProfilesResponse
Protobuf implementation class for the GetAllResourceProfilesResponse.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetAllResourceProfilesResponsePBImpl()`
  `GetAllResourceProfilesResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceProfilesResponseProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceProfilesResponseProto`
  `getProto()`
  `Map<String,org.apache.hadoop.yarn.api.records.Resource>`
  `getResourceProfiles()`
  `void`
  `setResourceProfiles(Map<String,org.apache.hadoop.yarn.api.records.Resource> resourceProfiles)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceProfilesResponse

  `equals, hashCode, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetAllResourceProfilesResponsePBImpl

    public GetAllResourceProfilesResponsePBImpl()

  - ### GetAllResourceProfilesResponsePBImpl

    public GetAllResourceProfilesResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceProfilesResponseProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceProfilesResponseProto getProto()

  - ### setResourceProfiles

    public void setResourceProfiles(Map<String,org.apache.hadoop.yarn.api.records.Resource> resourceProfiles)
    Specified by:
      `setResourceProfiles` in class `org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceProfilesResponse`

  - ### getResourceProfiles

    public Map<String,org.apache.hadoop.yarn.api.records.Resource> getResourceProfiles()
    Specified by:
      `getResourceProfiles` in class `org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceProfilesResponse`